### Class

# Clapper Mpris

#### Description [src]

    final class Clapper.Mpris : Clapper.Feature
    {
      /* No available fields */
    }

An optional `MPRIS` feature to add to the player.

Not every OS supports `MPRIS`. Use `CLAPPER_HAVE_MPRIS` macro to check if Clapper API was compiled with this feature.

#### Hierarchy

#### Ancestors

- ClapperFeature
- GstObject
- GInitiallyUnowned
- GObject

#### Constructors

###### clapper_mpris_new

Creates a new `ClapperMpris` instance.

#### Instance methods

###### clapper_mpris_get_fallback_art_url

Get fallback art URL earlier set by user.

###### clapper_mpris_get_queue_controllable

Get whether remote `MPRIS` clients can control `ClapperQueue`.

###### clapper_mpris_set_fallback_art_url

Set fallback artwork to show when media does not provide one.

###### clapper_mpris_set_queue_controllable

Set whether remote MPRIS clients can control `ClapperQueue`.

##### Methods inherited from GstObject (25)

Please see GstObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clapper.Mpris:desktop-entry

The basename of an installed .desktop file with the “.desktop” extension stripped.

###### Clapper.Mpris:fallback-art-url

Fallback artwork to show when media does not provide one.

###### Clapper.Mpris:identity

A friendly name to identify the media player.

###### Clapper.Mpris:own-name

DBus name to own on connection.

###### Clapper.Mpris:queue-controllable

Whether remote MPRIS clients can control `ClapperQueue`.

##### Properties inherited from GstObject (2)

###### Gst.Object:name

No description available.

###### Gst.Object:parent

The parent of the object. Please note, that when changing the ‘parent’ property, we don’t emit `GObject::notify` and `GstObject::deep-notify` signals due to locking issues. In some cases one can use `GstBin::element-added` or `GstBin::element-removed` signals on the parent to achieve a similar effect.

#### Signals

##### Signals inherited from GstObject (1)

###### GstObject::deep-notify

The deep notify signal is used to be notified of property changes. It is typically attached to the toplevel bin to receive notifications from all the elements contained in that bin.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClapperMprisClass {
      ClapperFeatureClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClapperFeatureClass`

  No description available.